]> git.saurik.com Git - wxWidgets.git/commitdiff
Last fixes for wxMotif and configure
authorRobert Roebling <robert@roebling.de>
Thu, 12 Nov 1998 18:18:29 +0000 (18:18 +0000)
committerRobert Roebling <robert@roebling.de>
Thu, 12 Nov 1998 18:18:29 +0000 (18:18 +0000)
git-svn-id: https://svn.wxwidgets.org/svn/wx/wxWidgets/trunk@994 c3d73ce0-8a6f-49c7-b76d-6d57e0e08775

configure
configure.in
src/Makefile.in

index 642ac34307dd13c4b43662e13a507cd08687e635..0f21f8ae1dd69ef1d08b90130c90161bcb1b033b 100755 (executable)
--- a/configure
+++ b/configure
@@ -6202,6 +6202,35 @@ for ac_dir in $SEARCH_LIB;
 
          CHECK_LINK="$CHECK_LIB $ac_path_to_link"
          echo "$ac_t""found at $ac_find_libraries" 1>&6
+         echo $ac_n "checking for Xpm library""... $ac_c" 1>&6
+echo "configure:6207: checking for Xpm library" >&5
+         
+ac_find_libraries=
+for ac_dir in $SEARCH_LIB;
+  do
+    for ac_extension in a so sl; do
+      if test -f "$ac_dir/libXpm.$ac_extension"; then
+        ac_find_libraries=$ac_dir
+        break 2
+      fi
+    done
+  done
+
+         if test "$ac_find_libraries" != "" ; then
+           
+  echo "$CHECK_LIB" | grep "\-L$ac_find_libraries" > /dev/null
+  result=$?
+  if test $result = 0; then
+    ac_path_to_link=""
+  else
+    ac_path_to_link="-L$ac_find_libraries"    
+  fi
+
+           CHECK_LINK="$CHECK_LIB $ac_path_to_link"
+           echo "$ac_t""found at $ac_find_libraries" 1>&6
+         else
+           { echo "configure: error: no" 1>&2; exit 1; }
+         fi
        else
          { echo "configure: error: no" 1>&2; exit 1; }
        fi
@@ -6211,7 +6240,7 @@ for ac_dir in $SEARCH_LIB;
   else
      { echo "configure: error: no" 1>&2; exit 1; }
   fi
-  GUI_TK_LINK="-lXt -lX11 -lXm -lm"
+  GUI_TK_LINK="-lXt -lXmu -lXpm -lX11 -lXm -lm"
   GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK"
   TOOLKIT=MOTIF
   TOOLKIT_DEF=__WXMOTIF__
@@ -6616,7 +6645,7 @@ fi
 
 
 echo $ac_n "checking for main in -ldl""... $ac_c" 1>&6
-echo "configure:6620: checking for main in -ldl" >&5
+echo "configure:6649: checking for main in -ldl" >&5
 ac_lib_var=`echo dl'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6624,14 +6653,14 @@ else
   ac_save_LIBS="$LIBS"
 LIBS="-ldl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6628 "configure"
+#line 6657 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:6635: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+if { (eval echo configure:6664: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6661,7 +6690,7 @@ UNIX_THREAD="gtk/threadno.cpp"
 
 
 echo $ac_n "checking "for threads"""... $ac_c" 1>&6
-echo "configure:6665: checking "for threads"" >&5
+echo "configure:6694: checking "for threads"" >&5
 # Check whether --with-threads or --without-threads was given.
 if test "${with_threads+set}" = set; then
   withval="$with_threads"
@@ -6695,7 +6724,7 @@ if test "$wxUSE_THREADS" = "1"; then
 
   
   echo $ac_n "checking for pthread_create in -lpthread-0.7""... $ac_c" 1>&6
-echo "configure:6699: checking for pthread_create in -lpthread-0.7" >&5
+echo "configure:6728: checking for pthread_create in -lpthread-0.7" >&5
 ac_lib_var=`echo pthread-0.7'_'pthread_create | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6703,7 +6732,7 @@ else
   ac_save_LIBS="$LIBS"
 LIBS="-lpthread-0.7  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6707 "configure"
+#line 6736 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6714,7 +6743,7 @@ int main() {
 pthread_create()
 ; return 0; }
 EOF
-if { (eval echo configure:6718: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+if { (eval echo configure:6747: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6738,17 +6767,17 @@ else
 
     ac_safe=`echo "sys/prctl.h" | sed 'y%./+-%__p_%'`
 echo $ac_n "checking for sys/prctl.h""... $ac_c" 1>&6
-echo "configure:6742: checking for sys/prctl.h" >&5
+echo "configure:6771: checking for sys/prctl.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 6747 "configure"
+#line 6776 "configure"
 #include "confdefs.h"
 #include <sys/prctl.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
-{ (eval echo configure:6752: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
+{ (eval echo configure:6781: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out`
 if test -z "$ac_err"; then
   rm -rf conftest*
@@ -6774,7 +6803,7 @@ fi
 
         
     echo $ac_n "checking for pthread_setcanceltype in -lpthread""... $ac_c" 1>&6
-echo "configure:6778: checking for pthread_setcanceltype in -lpthread" >&5
+echo "configure:6807: checking for pthread_setcanceltype in -lpthread" >&5
 ac_lib_var=`echo pthread'_'pthread_setcanceltype | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6782,7 +6811,7 @@ else
   ac_save_LIBS="$LIBS"
 LIBS="-lpthread  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6786 "configure"
+#line 6815 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6793,7 +6822,7 @@ int main() {
 pthread_setcanceltype()
 ; return 0; }
 EOF
-if { (eval echo configure:6797: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+if { (eval echo configure:6826: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6820,7 +6849,7 @@ fi
 fi
 
   echo $ac_n "checking for pthread_setcanceltype in -lpthreads""... $ac_c" 1>&6
-echo "configure:6824: checking for pthread_setcanceltype in -lpthreads" >&5
+echo "configure:6853: checking for pthread_setcanceltype in -lpthreads" >&5
 ac_lib_var=`echo pthreads'_'pthread_setcanceltype | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -6828,7 +6857,7 @@ else
   ac_save_LIBS="$LIBS"
 LIBS="-lpthreads  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 6832 "configure"
+#line 6861 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -6839,7 +6868,7 @@ int main() {
 pthread_setcanceltype()
 ; return 0; }
 EOF
-if { (eval echo configure:6843: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
+if { (eval echo configure:6872: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -6887,7 +6916,7 @@ OPENGL_LINK=
 
 if test "$wxUSE_OPENGL" = 1; then
     echo $ac_n "checking for OpenGL includes""... $ac_c" 1>&6
-echo "configure:6891: checking for OpenGL includes" >&5
+echo "configure:6920: checking for OpenGL includes" >&5
   
 ac_find_includes=
 for ac_dir in $SEARCH_INCLUDE;
@@ -6902,7 +6931,7 @@ for ac_dir in $SEARCH_INCLUDE;
     OPENGL_INCLUDE="-I$ac_find_includes"
     echo "$ac_t""found $ac_find_includes" 1>&6
         echo $ac_n "checking for OpenGL library""... $ac_c" 1>&6
-echo "configure:6906: checking for OpenGL library" >&5
+echo "configure:6935: checking for OpenGL library" >&5
     
 ac_find_libraries=
 for ac_dir in $SEARCH_LIB;
index e880249d0f7143088d053e3ef6521456397b313f..f10488691f6fcf34d3ef167707b6cac56437b79d 100644 (file)
@@ -1058,6 +1058,15 @@ if test "$wxUSE_MOTIF" = 1; then
          AC_LINK_PATH_EXIST($ac_find_libraries,$CHECK_LIB)
          CHECK_LINK="$CHECK_LIB $ac_path_to_link"
          AC_MSG_RESULT(found at $ac_find_libraries)
+         AC_MSG_CHECKING(for Xpm library)
+         AC_PATH_FIND_LIBRARIES($SEARCH_LIB,Xpm)
+         if test "$ac_find_libraries" != "" ; then
+           AC_LINK_PATH_EXIST($ac_find_libraries,$CHECK_LIB)
+           CHECK_LINK="$CHECK_LIB $ac_path_to_link"
+           AC_MSG_RESULT(found at $ac_find_libraries)
+         else
+           AC_MSG_ERROR(no)
+         fi
        else
          AC_MSG_ERROR(no)
        fi
@@ -1067,7 +1076,7 @@ if test "$wxUSE_MOTIF" = 1; then
   else
      AC_MSG_ERROR(no)
   fi
-  GUI_TK_LINK="-lXt -lX11 -lXm -lm"
+  GUI_TK_LINK="-lXt -lXmu -lXpm -lX11 -lXm -lm"
   GUI_TK_LINK="$CHECK_LINK $GUI_TK_LINK"
   TOOLKIT=MOTIF
   TOOLKIT_DEF=__WXMOTIF__
index deb42b766b8105764a4dd8f525a29ba98b524eb6..afe872a3d257363a545d63b752455182e7d9817d 100644 (file)
@@ -52,6 +52,7 @@ all::
        @if test ! -d gtk; then mkdir gtk; fi
        @if test ! -d qt; then mkdir qt; fi
        @if test ! -d motif; then mkdir motif; fi
+       @if test ! -d motif/xmcombo; then mkdir motif/xmcombo; fi
        @if test ! -d common; then mkdir common; fi
        @if test ! -d generic; then mkdir generic; fi
        @if test ! -d png; then mkdir png; fi